### Method

# Gimp Procedure get_arguments

#### Declaration [src]

    GParamSpec**
    gimp_procedure_get_arguments (
      GimpProcedure* procedure,
      gint* n_arguments
    )

#### Description

No description available.

Available since: | 3.0

#### Parameters

`n_arguments` | `gint*`
| Returns the number of arguments.
| The argument will be set by the function.

#### Return value

Returns: | An array of `GParamSpec*`
| An array of `GParamSpec` in the order added with `gimp_procedure_add_argument()`.
| The length of the array is in the `n_arguments` argument.
| The data is owned by the instance.